Bug 5927 - valid list not correctly working under share-level security
valid list not correctly working under share-level security
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: User & Group Accounts
3.2.4
x86 Linux
: P3 minor
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 10:59 UTC by TAKAHASHI Motonobu
Modified: 2008-12-14 09:58 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2008-11-29 10:59:16 UTC
My smb.conf is :

-----
[global]
  security = share
  passdb backend = tdbsam

[share1]
  read only = yes
  write list = share1rw
  username = share1ro share1rw
  valid users = share1ro share1rw
  path = /var/lib/samba/shares/tmp
-----

In this environment, share1rw can not be authorized but share1ro can.
If we remove "valid users" parameter, then share1rw can be authorized. (though, BUG#1254 still remains...)
Comment 1 Jeremy Allison 2008-12-03 18:19:09 UTC
What does "share1rw can not be authorized" mean here ? Do you mean cannot be authorized for write ?
Jeremy.
Comment 2 TAKAHASHI Motonobu 2008-12-04 04:29:56 UTC
(In reply to comment #1)
> What does "share1rw can not be authorized" mean here ? 

It means that share1rw user can not access to share1.
 


Comment 3 TAKAHASHI Motonobu 2008-12-14 09:58:03 UTC
I tested againt Samba 3.2.6 and this bug is fixed at 3.2.6. (And not at 3.2.5) .

Perhaps BUG#5927 is fixed as a part of BUG 1254: Fix "write list" in setups using "security = share".

Thanks!